Importing GEO dataset
2
1
Entering edit mode
7 weeks ago
gina02 ▴ 50

I need to import data GSE76124 in R studio the command I used is library(GEOquery) my_id <- "GSE76124" gse <- getGEO(my_id)

the output and warning I'm getting is : Found 1 file(s) GSE76124_series_matrix.txt.gz trying URL 'https://ftp.ncbi.nlm.nih.gov/geo/series/GSE76nnn/GSE76124/matrix/GSE76124_series_matrix.txt.gz'

Content type 'application/x-gzip' length 58695125 bytes (56.0 MB)

downloaded 56.0 MB

Error: The size of the connection buffer (131072) was not large enough
to fit a complete line:

  • Increase it by setting Sys.setenv("VROOM_CONNECTION_SIZE")

how do I fix it?

data studio R import GEOquery • 653 views
ADD COMMENT
2
Entering edit mode
7 weeks ago
Basti ▴ 190

Increasing the default buffer size will solve your issue :

library(GEOquery) 
Sys.setenv("VROOM_CONNECTION_SIZE"=131072*100)
my_id <- "GSE76124" 
gse <- getGEO(my_id)

If it still doesn't work, you can try to increase the size.

ADD COMMENT
1
Entering edit mode
7 weeks ago

It looks like you might be using an outdated version of GEOquery. Upgrading will likely fix the issue.

The problem arises here because of the behavior of the readr package changing. GEOquery no longer uses readr; hence the interest in upgrading.

ADD COMMENT
0
Entering edit mode

thank you for responding I have updated to the latest version of GEOquery from the official website https://www.bioconductor.org/packages/release/bioc/html/GEOquery.html and i'm still getting the same error

ADD REPLY
0
Entering edit mode

I should have been more specific. To upgrade to the newest GEOquery version, you'll need to be running R 4.1 or later. If you are still having problems after updating R and reinstalling Bioconductor, supply the output of sessionInfo() so we can check what is going on with versions.

As an alternative, see the excellent answer by @bastiducreux.

ADD REPLY
0
Entering edit mode

my sessionInfo() output is R version 4.1.1 (2021-08-10) Platform: x86_64-apple-darwin17.0 (64-bit) Running under: macOS Big Sur 11.2.2

Matrix products: default LAPACK: /Library/Frameworks/R.framework/Versions/4.1/Resources/lib/libRlapack.dylib

locale: [1] en_US.UTF-8/en_US.UTF-8/en_US.UTF-8/C/en_US.UTF-8/en_US.UTF-8

attached base packages: [1] stats graphics grDevices utils datasets methods base

loaded via a namespace (and not attached): [1] compiler_4.1.1 tools_4.1.1

ADD REPLY
0
Entering edit mode

What is the output of sessionInfo() after loading GEOquery (with library(GEOquery))? That will tell us the installed GEOquery version. Sorry for the hassle.

ADD REPLY
1
Entering edit mode

no hassle thanks for helping.. the output ii got is

R version 4.1.1 (2021-08-10) Platform: x86_64-apple-darwin17.0 (64-bit) Running under: macOS Big Sur 11.2.2

Matrix products: default LAPACK: /Library/Frameworks/R.framework/Versions/4.1/Resources/lib/libRlapack.dylib

locale: [1] en_US.UTF-8/en_US.UTF-8/en_US.UTF-8/C/en_US.UTF-8/en_US.UTF-8

attached base packages: character(0)

other attached packages: [1] GEOquery_2.60.0

loaded via a namespace (and not attached): [1] xml2_1.3.2 magrittr_2.0.1 BiocGenerics_0.38.0 hms_1.1.1
[5] grDevices_4.1.1 tidyselect_1.1.1 R6_2.5.1 rlang_0.4.12
[9] fansi_0.5.0 dplyr_1.0.7 tools_4.1.1 utils_4.1.1
[13] parallel_4.1.1 Biobase_2.52.0 utf8_1.2.2 DBI_1.1.1
[17] stats_4.1.1 ellipsis_0.3.2 datasets_4.1.1 assertthat_0.2.1
[21] tibble_3.1.6 base_4.1.1 lifecycle_1.0.1 crayon_1.4.2
[25] purrr_0.3.4 readr_2.1.0 tzdb_0.2.0 tidyr_1.1.4
[29] graphics_4.1.1 vctrs_0.3.8 glue_1.5.0 limma_3.48.3
[33] compiler_4.1.1 pillar_1.6.4 methods_4.1.1 generics_0.1.1
[37] pkgconfig_2.0.3

ADD REPLY
0
Entering edit mode

This output is really helpful. It looks like you are using Bioconductor version 3.13. We need to get up updated to 3.14. To do so:

BiocManager::install(version="3.14")

You'll be asked if you want to update packages (and it may be a large number) to which you can answer "Yes". This will upgrade not just GEOquery but all Bioconductor packages to the new Bioconductor version. After doing so, when you redo the sessionInfo() in a new R session, you'll see that GEOquery version is 2.62.1 (or later).

ADD REPLY

Login before adding your answer.

Traffic: 2203 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6